Subject: RE: [Ltru] New version posted: ready for publication??

From: "Addison Phillips" <[email-masked]>
Date: Thu, 21 Apr 2005 11:59:22 -0700

No, probably not. More holdover text, I'm afraid.

How about:

> <t>The 'UND' (Undetermined) primary language subtag SHOULD NOT be used
> to label content, even if the language is unknown. Omitting the language tag altogether is preferred to using a tag with a primary language subtag of 'und'. The 'UND' subtag may be useful for protocols that require a
> language tag to be provided. The 'UND' subtag may also be useful when
> matching language tags in certain situations.</t>

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Misha Wolf
> Sent: Thursday, April 21, 2005 11:52 AM
> To: ltru Working Group
> Subject: RE: [Ltru] New version posted: ready for publication??
> 
> We're getting there :-)
> 
> I think I'm clear why 'UND' is referred to below sometimes as a tag
> and sometimes as a subtag.  Will the reader be equally clear?
> 
> Thanks,
> Misha
> 
> <t>The 'UND' (Undetermined) primary language subtag SHOULD NOT be used
> to label content, even if the language is unknown. Omitting the tag is
> preferred. The 'UND' tag may be useful for protocols that require a
> language tag to be provided. The 'UND' subtag may also be useful when
> matching language tags in certain situations.</t>
> 
> 
> 
> -----------------------------------------------------------------
>         Visit our Internet site at http://www.reuters.com
> 
> To find out more about Reuters Products and Services visit
> http://www.reuters.com/productinfo
> 
> Any views expressed in this message are those of  the  individual
> sender,  except  where  the sender specifically states them to be
> the views of Reuters Ltd.
> 
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: John Cowan <[email-masked]>
Date: Thu, 21 Apr 2005 15:42:02 -0400

Addison Phillips scripsit:

> <t>The 'UND' (Undetermined) primary language subtag SHOULD NOT be
> used to label content, even if the language is unknown. Omitting the
> language tag altogether is preferred to using a tag with a primary
> language subtag of 'und'. The 'UND' subtag may be useful for protocols
> that require a language tag to be provided. The 'UND' subtag may
> also be useful when matching language tags in certain situations.</t>

Now that I think about it, I don't think I believe this.  What about
when you are tagging documents you don't understand?  I, for example,
can recognize Devanagari script accurately, but I can't tell one such
language from another.  Tagging such a document und-Deva would at least
tell the recipient something about it, as opposed to no tag at all.

By the same token, I may not be able to identify either the script or
the language of a random document from India, but tagging it und-IN
carries at least some information.

How about this?

The 'und' (undetermined) primary language subtag MAY be used in
conjunction with other subtags when the language is unknown but the script
or region is known.  It SHOULD NOT be used without other subtags except
in a protocol that requires a language tag to be provided; otherwise,
omitting a language tag altogether is preferable.

(I don't understand the last sentence and have left it out.)

-- 
John Cowan  www.ccil.org/~cowan  www.reutershealth.com  [email-masked]
SAXParserFactory [is] a hideous, evil monstrosity of a class that should
be hung, shot, beheaded, drawn and quartered, burned at the stake,
buried in unconsecrated ground, dug up, cremated, and the ashes tossed
in the Tiber while the complete cast of Wicked sings "Ding dong, the
witch is dead."  --Elliotte Rusty Harold on xml-dev